Skip to main content
POST
Search operation endpoint

Request contract

  • Method and path: POST /apis/v1/listennotes/full-text-search
  • Availability: enabled
  • Request URL template: https://api.aisa.one/apis/v1/listennotes/full-text-search
  • Runtime facts: 3f699076c1baf63c05edde2629715e34586e70ee0982cdee89366394f35facf8
Complete OpenAPI definition Effective request and pricing declaration (including authentication and referenced schemas):

Cost and request rules

Usage-based billing; Default request estimate: $0.0403 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 0.0403
  • Declared unit rate (USD): 1e-06
  • Billing unit: provider_credit
  • Cost contract: response_units
  • Published reference multiplier: 1.0
  • Declared maximum count/units: 10000000
  • Settlement evidence source: response_body

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
q
string
required

Search term, e.g., person, place, topic... You can use double quotes to do verbatim match, e.g., "game of thrones". Otherwise, it"s fuzzy search.

ncid
string

A comma-delimited string of podcast ids (up to 5 podcasts) - you can get a podcast id from the podcast_id field in response. This parameter is to exclude search results of a few specific podcasts. It works only when type is episode.

ocid
string

A comma-delimited string of podcast ids (up to 5 podcasts) - you can get a podcast id from the podcast_id field in response. This parameter is to limit search results from only a few specific podcasts. It works only when type is episode.

type
enum<string>
default:episode

What type of contents do you want to search for?

Available options:
curated,
episode,
podcast
offset
integer
default:0

Offset for search results, for pagination. You"ll use next_offset from response for this parameter.

region
string

Limit search results to a specific region (e.g., us, gb, in...). If not specified, it"ll be any region. You can get the supported country codes from GET /regions. It works only when type is episode or podcast.

len_max
integer

Maximum audio length in minutes. Applicable only when type parameter is episode or podcast. If type parameter is episode, it"s for audio length of an episode. If type parameter is podcast, it"s for average audio length of all episodes in a podcast.

len_min
integer
default:0

Minimum audio length in minutes. Applicable only when type parameter is episode or podcast. If type parameter is episode, it"s for audio length of an episode. If type parameter is podcast, it"s for average audio length of all episodes in a podcast.

only_in
string
default:title,description,author,audio

A comma-delimited string to search only in specific fields. Allowed values are title, description, author, and audio. If not specified, then search every fields.

language
string

Limit search results to a specific language. If not specified, it"ll be any language. You can get a list of supported languages from GET /languages. It works only when type is episode or podcast.

genre_ids
string

A comma-delimited string of a list of genre ids. If not specified, then all genres are included. You can find the id and the name of all genres from GET /genres. It works only when type is episode or podcast.

page_size
integer
default:10

The maximum number of search results per page. A valid value should be an integer between 1 and 10 (inclusive).

safe_mode
integer
default:0

Whether or not to exclude podcasts/episodes with explicit language. 1 is yes and 0 is no. It works only when type is episode or podcast.

sort_by_date
integer
default:0

Sort by date or not? If 0, then sort by relevance. If 1, then sort by date.

sponsored_only
integer
default:0

Whether or not to keep only podcasts that have sponsors in search results. 1 is yes and 0 is no. It works only when type is podcast. This parameter is available only in the PRO/ENTERPRISE plan.

interviews_only
integer
default:0

Whether or not to keep only podcasts that have guest interviews in search results. 1 is yes and 0 is no. It works only when type is podcast. This parameter is available only in the PRO/ENTERPRISE plan.

published_after
integer
default:0

Only show episodes/podcasts/curated lists published after this timestamp (in milliseconds). If published_before & published_after are used at the same time, published_before should be bigger than published_after.

unique_podcasts
integer
default:0

Whether or not to keep only one episode per podcast in search results. 1 is yes and 0 is no. It works only when type is episode.

update_freq_max
integer

Maximum update frequency in hours (how frequently does a podcast release a new episode). For example, if you want to find "weekly" podcasts, then you can set update_freq_min=144 hours (or 6 days) and update_freq_max=192 hours (or 8 days). Applicable only when type parameter is podcast.

update_freq_min
integer

Minimum update frequency in hours (how frequently does a podcast release a new episode). For example, if you want to find "weekly" podcasts, then you can set update_freq_min=144 hours (or 6 days) and update_freq_max=192 hours (or 8 days). Applicable only when type parameter is podcast.

published_before
integer

Only show episodes/podcasts/curated lists published before this timestamp (in milliseconds). If published_before & published_after are used at the same time, published_before should be bigger than published_after.

episode_count_max
integer

Maximum number of episodes. Applicable only when type parameter is podcast.

episode_count_min
integer

Minimum number of episodes. Applicable only when type parameter is podcast.

Response

Tool result data

data
object
required